#!/software/bin/perl -w

# $Id: makeStats.pl 13527 2011-07-04 11:30:01Z ajb $
# Created By: ajb
# Last Maintained By: $Author: ajb $
# Created On: 2010-09-22
# Last Changed On: $Date: 2011-07-04 12:30:01 +0100 (Mon, 04 Jul 2011) $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-pipeline/tags/release-28.1/t/bin/software/solexa/src/new-pipeline-dev/pb_calibration/branches/prerelease-6.0/bin/makeStats.pl $

use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Readonly; Readonly::Scalar our $VERSION => do { my ($r) = q$LastChangedRevision: 13527 $ =~ /(\d+)/mxs; $r; };

use Getopt::Long;

sub initialise;

my $opts = GetOptions({}, 'verbose', 'help');

my $dif    = $ARGV[0];
my $filter = $ARGV[1];
my $bcl    = $ARGV[2];
my $stats  = $ARGV[3];

qx{touch $stats};

if ( ! $CHILD_ERROR ) {
  print q{created stats file};
}

exit $CHILD_ERROR ? 1 : 0
__END__

